=== modified file 'src/com/goldencode/p2j/persist/BufferFieldImpl.java'
--- src/com/goldencode/p2j/persist/BufferFieldImpl.java	2022-10-06 19:31:52 +0000
+++ src/com/goldencode/p2j/persist/BufferFieldImpl.java	2022-10-10 15:15:33 +0000
@@ -65,6 +65,7 @@
 **                  created.
 **     CA  20221006 Fixed a NPE related to instantiating-procedure in 'changeValue' (surrogate instances being
 **                  created).
+**     VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -907,7 +908,7 @@
     * @return    Current value of the DBNAME attribute.
     */
    @Override
-   public character getDbName()
+   public character dbName()
    {
       return new character(fieldRef.getParentBuffer().getDatabase().getName());
    }
@@ -918,7 +919,7 @@
     * @return    Current value of the TABLE attribute.
     */
    @Override
-   public character getTable()
+   public character table()
    {
       return new character(fieldRef.getParentBuffer().getTable());
    }
@@ -1366,7 +1367,7 @@
     * @return   See above.
     */
    @Override
-   public character getADMData()
+   public character admData()
    {
       return new character(this.admData);
    }
@@ -1378,7 +1379,7 @@
     *           The new value.
     */
    @Override
-   public void setADMData(String value)
+   public void admData(String value)
    {
       this.admData = value;
    }
@@ -1390,7 +1391,7 @@
     *           The new value.
     */
    @Override
-   public void setADMData(character value)
+   public void admData(character value)
    {
       this.admData = value.toJavaType();
    }
@@ -1402,7 +1403,7 @@
     * @return   The integer number of the children.
     */
    @Override
-   public integer getUniqueID()
+   public integer uniqueID()
    {
       return new integer(this.uniqueID);
    }
@@ -1424,9 +1425,9 @@
     * @return  the current value of the {@code SERIALIZE-NAME} attribute.
     */
    @Override
-   public character getSerializeName()
+   public character serializeName()
    {
-      String sName = lfi.getSerializeOptions(getTempTable()).getSerializeName();
+      String sName = lfi.getSerializeOptions(getTempTable()).serializeName();
       return new character(sName == null || sName.trim().isEmpty() ? lfi.getLegacyName() : sName);
    }
    
@@ -1437,9 +1438,9 @@
     *          the new value for the {@code SERIALIZE-NAME} attribute.
     */
    @Override
-   public void setSerializeName(Text sName)
+   public void serializeName(Text sName)
    {
-      setSerializeName(sName == null || sName.isUnknown() ? null : sName.getValue());
+      serializeName(sName == null || sName.isUnknown() ? null : sName.getValue());
    }
    
    /**
@@ -1449,10 +1450,10 @@
     *          the new value for the {@code SERIALIZE-NAME} attribute.
     */
    @Override
-   public void setSerializeName(String sName)
+   public void serializeName(String sName)
    {
       // this actually works for permanent tables, too, although they cannot be serialized
-      lfi.getSerializeOptions(getTempTable()).setSerializeName(sName);
+      lfi.getSerializeOptions(getTempTable()).serializeName(sName);
    }
    
    /**

=== modified file 'src/com/goldencode/p2j/persist/BufferImpl.java'
--- src/com/goldencode/p2j/persist/BufferImpl.java	2022-10-10 09:11:45 +0000
+++ src/com/goldencode/p2j/persist/BufferImpl.java	2022-10-10 15:15:43 +0000
@@ -74,7 +74,7 @@
 ** 025 ECF 20131028 Import change.
 ** 026 SVL 20131028 Handled bufferField() for static tables, added doSetName.
 ** 027 CA  20131013 Static buffers are deleted only when the instantiating procedure gets deleted.
-** 028 OM  20131128 Stub implementation for getUniqueID.
+** 028 OM  20131128 Stub implementation for uniqueID.
 ** 029 HC  20131222 Implemented ADM-DATA and UNIQUE-ID attribute.
 ** 030 VMN 20140110 Implemented bufferField(character).
 ** 031 OM  20140107 Implemented disableDumpTriggers() and disableLoadTriggers() methods and 
@@ -224,6 +224,7 @@
 **                  BUFFER-FIELD's instantiating procedure must be the BUFFER's, and not when it gets lazily
 **                  created.
 **     CA  20221010 Reduced 'toLowerCase' usage in 'attachDataSource'.  Refs #6820
+**     VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -687,7 +688,7 @@
     * @return  {@code true} when the data has been modified.
     */
    @Override
-   public logical isDataSourceModified()
+   public logical dataSourceModified()
    {
       return new logical(dataSourceModified);
    }
@@ -699,7 +700,7 @@
     *          {@code true} when the data is marked as modified and {@code false} otherwise.
     */
    @Override
-   public void setDataSourceModified(logical mod)
+   public void dataSourceModified(logical mod)
    {
       if (mod == null || mod.isUnknown())
       {
@@ -707,7 +708,7 @@
          return;
       }
       
-      setDataSourceModified(mod.getValue());
+      dataSourceModified(mod.getValue());
    }
    
    /**
@@ -717,7 +718,7 @@
     *          {@code true} when the data is marked as modified and {@code false} otherwise.
     */
    @Override
-   public void setDataSourceModified(boolean mod)
+   public void dataSourceModified(boolean mod)
    {
       this.dataSourceModified = mod;
    }
@@ -932,7 +933,7 @@
     * @return   See above.
     */
    @Override
-   public logical isMultiTenant()
+   public logical multiTenant()
    {
       // TODO: multi-tenant is not supported at this time
       return new logical(false);
@@ -945,7 +946,7 @@
     *           The flag value.
     */
    @Override
-   public void setMultiTenant(logical l)
+   public void multiTenant(logical l)
    {
       // TODO: multi-tenant is not supported at this time
    }
@@ -957,7 +958,7 @@
     *           The flag value.
     */
    @Override
-   public void setMultiTenant(boolean l)
+   public void multiTenant(boolean l)
    {
       // TODO: multi-tenant is not supported at this time
    }
@@ -4322,7 +4323,7 @@
     *
     * @return  Current value of the DBNAME attribute.
     */
-   public character getDbName()
+   public character dbName()
    {
       final RecordBuffer buf = buffer();
       if (buf.getParentTable() != null)
@@ -4341,7 +4342,7 @@
     * @return    Current value of the TABLE attribute.
     */
    @Override
-   public character getTable()
+   public character table()
    {
       return new character(TableMapper.getLegacyName(this.buffer()));
    }
@@ -4455,7 +4456,7 @@
     * @return   See above.
     */
    @Override
-   public character getADMData()
+   public character admData()
    {
       return new character(this.admData);
    }
@@ -4467,7 +4468,7 @@
     *           The new value.
     */
    @Override
-   public void setADMData(String value)
+   public void admData(String value)
    {
       this.admData = value;
    }
@@ -4479,7 +4480,7 @@
     *          The new value.
     */
    @Override
-   public void setADMData(character value)
+   public void admData(character value)
    {
       this.admData = value.toJavaType();
    }
@@ -4492,7 +4493,7 @@
     *          current process.
     */
    @Override
-   public integer getUniqueID()
+   public integer uniqueID()
    {
       return new integer(this.uniqueID);
    }
@@ -4571,9 +4572,9 @@
     * @return  The current value of the {@code SERIALIZE-NAME} attribute.
     */
    @Override
-   public character getSerializeName()
+   public character serializeName()
    {
-      return buffer().getParentTable().getSerializeName();
+      return buffer().getParentTable().serializeName();
    }
    
    /**
@@ -4583,9 +4584,9 @@
     *          the new value for the {@code SERIALIZE-NAME} attribute.
     */
    @Override
-   public void setSerializeName(Text sName)
+   public void serializeName(Text sName)
    {
-      buffer().getParentTable().setSerializeName(sName);
+      buffer().getParentTable().serializeName(sName);
    }
    
    /**
@@ -4595,9 +4596,9 @@
     *         The new value for the {@code SERIALIZE-NAME} attribute.
     */
    @Override
-   public void setSerializeName(String sName)
+   public void serializeName(String sName)
    {
-      buffer().getParentTable().setSerializeName(sName);
+      buffer().getParentTable().serializeName(sName);
    }
    
    /**
@@ -6040,7 +6041,7 @@
     * @return   The associated query or {@code unknown} if none exists.
     */
    @Override
-   public handle getQueryAsHandle()
+   public handle queryAsHandle()
    {
       // bit of maintenance
       if (lastQuery != null && !lastQuery._isValid())
@@ -6059,7 +6060,7 @@
     *          The query to associate.
     */
    @Override
-   public void setQueryAsHandle(handle qry)
+   public void queryAsHandle(handle qry)
    {
       handle.invalidAttribute("QUERY", true, LegacyResource.BUFFER);
    }
@@ -6072,7 +6073,7 @@
     *          The query to associate.
     */
    @Override
-   public void setQueryAsHandle(QueryWrapper qry)
+   public void queryAsHandle(QueryWrapper qry)
    {
       handle.invalidAttribute("QUERY", true, LegacyResource.BUFFER);
    }
@@ -7694,7 +7695,7 @@
          boolean suppliedQuery = false;
          if (srcBufCount > 1)
          {
-            if (!dataSource.getQueryAsHandle()._isValid())
+            if (!dataSource.queryAsHandle()._isValid())
             {
                ErrorManager.recordOrShowError(11980);
                // Must assign a user query to a data-source that is a join before filling.
@@ -7706,7 +7707,7 @@
             
             suppliedQuery = true;
          }
-         if (dataSource.getQueryAsHandle()._isValid())
+         if (dataSource.queryAsHandle()._isValid())
          {
             suppliedQuery = true;
          }
@@ -7764,7 +7765,7 @@
          P2JQuery fillQuery = null;
          if (suppliedQuery)
          {
-            hQuery = dataSource.getQueryAsHandle();
+            hQuery = dataSource.queryAsHandle();
             fillQuery = (P2JQuery) hQuery.getResource();
             if (fillQuery.prepareString().isUnknown())
             {
@@ -10195,10 +10196,10 @@
             //       deleted before-image loaded in before-buffer(this) will set the attribute, instead.
             if (rowState == ROW_MODIFIED || rowState == ROW_DELETED)
             {
-               BufferImpl.this.setDataSourceModified(true);
-               tableHandle().unwrapDataSourceModifiable().setDataSourceModified(true);
-               after.tableHandle().unwrapDataSourceModifiable().setDataSourceModified(true);
-               peerBuffer.dataSet.setDataSourceModified(true);
+               BufferImpl.this.dataSourceModified(true);
+               tableHandle().unwrapDataSourceModifiable().dataSourceModified(true);
+               after.tableHandle().unwrapDataSourceModifiable().dataSourceModified(true);
+               peerBuffer.dataSet.dataSourceModified(true);
             }
             
             logical ok = new logical();

=== modified file 'src/com/goldencode/p2j/persist/DataRelation.java'
--- src/com/goldencode/p2j/persist/DataRelation.java	2022-10-05 08:54:36 +0000
+++ src/com/goldencode/p2j/persist/DataRelation.java	2022-10-10 15:15:57 +0000
@@ -17,6 +17,7 @@
 **     OM  20210930 Only the name of dynamic relations have name constraints.
 **     OM  20220120 Added getRelationFields(boolean) method.
 **     CA  20220923 Internal var definitions must be done via TypeFactory and not UndoableFactory.
+**     VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -744,7 +745,7 @@
     * @return The associated query or {@code unknown} if none exists.
     */
    @Override
-   public handle getQueryAsHandle()
+   public handle queryAsHandle()
    {
       if (query == null)
       {
@@ -762,7 +763,7 @@
     *          The query to associate.
     */
    @Override
-   public void setQueryAsHandle(handle qry)
+   public void queryAsHandle(handle qry)
    {
       handle.invalidAttribute("QUERY", true, LegacyResource.DATA_RELATION);
    }
@@ -774,7 +775,7 @@
     *          The query to associate.
     */
    @Override
-   public void setQueryAsHandle(QueryWrapper qry)
+   public void queryAsHandle(QueryWrapper qry)
    {
       handle.invalidAttribute("QUERY", true, LegacyResource.DATA_RELATION);
    }
@@ -785,7 +786,7 @@
     * @return See above.
     */
    @Override
-   public character getADMData()
+   public character admData()
    {
       return new character(admData);
    }
@@ -796,7 +797,7 @@
     * @param value The new value.
     */
    @Override
-   public void setADMData(String value)
+   public void admData(String value)
    {
       admData = value;
    }
@@ -807,7 +808,7 @@
     * @param value The new value.
     */
    @Override
-   public void setADMData(character value)
+   public void admData(character value)
    {
       admData = (value == null || value.isUnknown()) ? null : value.getValue();
    }

=== modified file 'src/com/goldencode/p2j/persist/DataSet.java'
--- src/com/goldencode/p2j/persist/DataSet.java	2022-10-06 08:18:44 +0000
+++ src/com/goldencode/p2j/persist/DataSet.java	2022-10-10 15:16:08 +0000
@@ -73,6 +73,7 @@
 **                  and every block.
 **     CA  20220923 Internal var definitions must be done via TypeFactory and not UndoableFactory.
 **     CA  20221006 UNIQUE-ID is kept as Java type instead of BDT.  Refs #6827
+**     VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -1873,7 +1874,7 @@
     * @return  {@code true} when the data has been modified.
     */
    @Override
-   public logical isDataSourceModified()
+   public logical dataSourceModified()
    {
       return new logical(dataSourceModified);
    }
@@ -1885,7 +1886,7 @@
     *          {@code true} when the data is marked as modified and {@code false} otherwise.
     */
    @Override
-   public void setDataSourceModified(logical mod)
+   public void dataSourceModified(logical mod)
    {
       if (mod == null || mod.isUnknown())
       {
@@ -1893,7 +1894,7 @@
          return;
       }
    
-      setDataSourceModified(mod.getValue());
+      dataSourceModified(mod.getValue());
    }
    
    /**
@@ -1903,7 +1904,7 @@
     *          {@code true} when the data is marked as modified and {@code false} otherwise.
     */
    @Override
-   public void setDataSourceModified(boolean mod)
+   public void dataSourceModified(boolean mod)
    {
       this.dataSourceModified = mod;
    }
@@ -2249,7 +2250,7 @@
     * @return the current value of the {@code SERIALIZE-NAME} attribute.
     */
    @Override
-   public character getSerializeName()
+   public character serializeName()
    {
       String jsName = serializeName != null ? serializeName : name;
       if (jsName == null || jsName.isEmpty())
@@ -2266,9 +2267,9 @@
     * @param sName the new value for the {@code SERIALIZE-NAME} attribute.
     */
    @Override
-   public void setSerializeName(Text sName)
+   public void serializeName(Text sName)
    {
-      setSerializeName(sName.toJavaType());
+      serializeName(sName.toJavaType());
    }
    
    /**
@@ -2277,7 +2278,7 @@
     * @param sName the new value for the {@code SERIALIZE-NAME} attribute.
     */
    @Override
-   public void setSerializeName(String sName)
+   public void serializeName(String sName)
    {
       if (sName != null)
       {
@@ -2379,7 +2380,7 @@
     * @return See above.
     */
    @Override
-   public character getADMData()
+   public character admData()
    {
       return new character(admData);
    }
@@ -2390,7 +2391,7 @@
     * @param value The new value.
     */
    @Override
-   public void setADMData(String value)
+   public void admData(String value)
    {
       this.admData = value;
    }
@@ -2401,7 +2402,7 @@
     * @param value The new value.
     */
    @Override
-   public void setADMData(character value)
+   public void admData(character value)
    {
       this.admData = value.toJavaType();
    }
@@ -2822,7 +2823,7 @@
          for (DataRelation rel : relations)
          {
             Buffer cb = rel.getChildBuffer().unwrapBuffer();
-            int uuid = cb.getUniqueID().intValue();
+            int uuid = cb.uniqueID().intValue();
             if (childBuffers.contains(uuid))
             {
                ErrorManager.recordOrShowError(11979, cb.name().toStringMessage());
@@ -5155,7 +5156,7 @@
     * @return  an integer values that uniques identifies this resource.
     */
    @Override
-   public integer getUniqueID()
+   public integer uniqueID()
    {
       return new integer(this.uuid);
    }
@@ -5456,13 +5457,13 @@
     */
    protected DataRelation allowsActiveChild(Buffer childBuffer)
    {
-      int childUid = childBuffer.getUniqueID().intValue();
+      int childUid = childBuffer.uniqueID().intValue();
       
       for (DataRelation relation : relations)
       {
          if (relation._isActive()      &&
              !relation._isReposition() &&
-             relation.getChildBuffer().unwrapBuffer().getUniqueID().intValue() == childUid)
+             relation.getChildBuffer().unwrapBuffer().uniqueID().intValue() == childUid)
          {
             return relation;
          }
@@ -6321,9 +6322,9 @@
        *
        * @return  A reference of this object in order to help chaining.
        */
-      public Builder setSerializeName(String serName)
+      public Builder serializeName(String serName)
       {
-         buildChain.add(() -> target.setSerializeName(serName));
+         buildChain.add(() -> target.serializeName(serName));
          return this;
       }
       

=== modified file 'src/com/goldencode/p2j/persist/DataSource.java'
--- src/com/goldencode/p2j/persist/DataSource.java	2022-08-10 20:01:47 +0000
+++ src/com/goldencode/p2j/persist/DataSource.java	2022-10-10 15:16:19 +0000
@@ -25,6 +25,7 @@
 **     OM  20220217 Fixed SAVE-WHERE-STRING for ROWID keys.
 **     OM  20220412 Setting the query attribute to unknown is a no-op.
 **     OM  20220801 Recompute the buffer list dynamically.
+**     VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -332,7 +333,7 @@
     * @return See above.
     */
    @Override
-   public character getADMData()
+   public character admData()
    {
       return new character(admData);
    }
@@ -343,7 +344,7 @@
     * @param value The new value.
     */
    @Override
-   public void setADMData(String value)
+   public void admData(String value)
    {
       this.admData = value;
    }
@@ -354,7 +355,7 @@
     * @param value The new value.
     */
    @Override
-   public void setADMData(character value)
+   public void admData(character value)
    {
       this.admData = value.toJavaType();
    }
@@ -365,7 +366,7 @@
     * @return The associated query or {@code unknown} if none exists.
     */
    @Override
-   public handle getQueryAsHandle()
+   public handle queryAsHandle()
    {
       return query._isValid() ? new handle(query.getResource()) : new handle();
    }
@@ -377,7 +378,7 @@
     *          The query to associate.
     */
    @Override
-   public void setQueryAsHandle(handle qry)
+   public void queryAsHandle(handle qry)
    {
       if (qry.isUnknown())
       {
@@ -403,7 +404,7 @@
     *          The query to associate.
     */
    @Override
-   public void setQueryAsHandle(QueryWrapper qry)
+   public void queryAsHandle(QueryWrapper qry)
    {
       setQueryImpl(qry);
    }
@@ -2180,7 +2181,7 @@
        */
       public Builder setQuery(QueryWrapper query)
       {
-         DataSource.this.setQueryAsHandle(query);
+         DataSource.this.queryAsHandle(query);
          return this;
       }
       

=== modified file 'src/com/goldencode/p2j/persist/DataSourceModifiable.java'
--- src/com/goldencode/p2j/persist/DataSourceModifiable.java	2020-11-18 21:54:53 +0000
+++ src/com/goldencode/p2j/persist/DataSourceModifiable.java	2022-10-10 15:16:37 +0000
@@ -3,10 +3,11 @@
 ** Abstract : Declares the public methods for DATA-SOURCE-MODIFIED attributes of DataSet, Buffer, and
 *             TempTable.
 **
-** Copyright (c) 2020, Golden Code Development Corporation.
+** Copyright (c) 2020-2022, Golden Code Development Corporation.
 **
 ** -#- -I- --Date-- ---------------------------------------Description---------------------------------------
 ** 001 OM  20201020 Created initial version.
+** 002 VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -77,29 +78,29 @@
     * @return  {@code true} when the data has been modified.
     */
    @LegacyAttribute(name = "DATA-SOURCE-MODIFIED")
-   public logical isDataSourceModified();
-   
-   /**
-    * Manually mark the data in the target structure as modified.
-    *
-    * @param   mod
-    *          {@code true} when the data is marked as modified and {@code false} otherwise.
-    */
-   @LegacyAttribute(name = "DATA-SOURCE-MODIFIED", setter = true)
-   public void setDataSourceModified(logical mod);
-   
-   /**
-    * Manually mark the data in the target structure as modified.
-    *
-    * @param   mod
-    *          {@code true} when the data is marked as modified and {@code false} otherwise.
-    */
-   @LegacyAttribute(name = "DATA-SOURCE-MODIFIED", setter = true)
-   public void setDataSourceModified(boolean mod);
-   
-   public static logical isDataSourceModified(Buffer rb)
+   public logical dataSourceModified();
+   
+   /**
+    * Manually mark the data in the target structure as modified.
+    *
+    * @param   mod
+    *          {@code true} when the data is marked as modified and {@code false} otherwise.
+    */
+   @LegacyAttribute(name = "DATA-SOURCE-MODIFIED", setter = true)
+   public void dataSourceModified(logical mod);
+   
+   /**
+    * Manually mark the data in the target structure as modified.
+    *
+    * @param   mod
+    *          {@code true} when the data is marked as modified and {@code false} otherwise.
+    */
+   @LegacyAttribute(name = "DATA-SOURCE-MODIFIED", setter = true)
+   public void dataSourceModified(boolean mod);
+   
+   public static logical dataSourceModified(Buffer rb)
    {
-      return rb.isDataSourceModified();
+      return rb.dataSourceModified();
    }
 }
 

=== modified file 'src/com/goldencode/p2j/persist/NamedSerializable.java'
--- src/com/goldencode/p2j/persist/NamedSerializable.java	2019-08-15 18:56:53 +0000
+++ src/com/goldencode/p2j/persist/NamedSerializable.java	2022-10-10 15:16:53 +0000
@@ -3,12 +3,13 @@
 ** Abstract : Interface which defines access methods for SERIALIZE-NAME attribute of a DataSet,
 **            a temp-table, a temp-table buffer or a temp-table buffer-field object. 
 **
-** Copyright (c) 2018-2019, Golden Code Development Corporation.
+** Copyright (c) 2018-2022, Golden Code Development Corporation.
 **
 ** -#- -I- --Date-- ---------------------------------Description---------------------------------
 ** 001 OM  20181114 Created initial version.
 ** 002 OM  20190327 Renamed to DataSource to avoid conflicts with DataSet source.
 ** 003 CA  20190812 Added legacy attribute annotations.
+** 004 VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -81,23 +82,23 @@
     * @return  the current value of the {@code SERIALIZE-NAME} attribute. 
     */
    @LegacyAttribute(name = "SERIALIZE-NAME")
-   public character getSerializeName();
-   
-   /**
-    * Implementation of the write access of the {@code SERIALIZE-NAME} attribute.
-    *
-    * @param   sName
-    *          the new value for the {@code SERIALIZE-NAME} attribute. 
-    */
-   @LegacyAttribute(name = "SERIALIZE-NAME", setter = true)
-   public void setSerializeName(Text sName);
-   
-   /**
-    * Implementation of the write access of the {@code SERIALIZE-NAME} attribute.
-    *
-    * @param   sName
-    *          the new value for the {@code SERIALIZE-NAME} attribute. 
-    */
-   @LegacyAttribute(name = "SERIALIZE-NAME", setter = true)
-   public void setSerializeName(String sName);
+   public character serializeName();
+   
+   /**
+    * Implementation of the write access of the {@code SERIALIZE-NAME} attribute.
+    *
+    * @param   sName
+    *          the new value for the {@code SERIALIZE-NAME} attribute. 
+    */
+   @LegacyAttribute(name = "SERIALIZE-NAME", setter = true)
+   public void serializeName(Text sName);
+   
+   /**
+    * Implementation of the write access of the {@code SERIALIZE-NAME} attribute.
+    *
+    * @param   sName
+    *          the new value for the {@code SERIALIZE-NAME} attribute. 
+    */
+   @LegacyAttribute(name = "SERIALIZE-NAME", setter = true)
+   public void serializeName(String sName);
 }

=== modified file 'src/com/goldencode/p2j/persist/P2JField.java'
--- src/com/goldencode/p2j/persist/P2JField.java	2020-07-31 20:20:20 +0000
+++ src/com/goldencode/p2j/persist/P2JField.java	2022-10-10 15:17:20 +0000
@@ -2,7 +2,7 @@
 ** Module   : P2JField.java
 ** Abstract : Container for DMO field definitions.
 **
-** Copyright (c) 2013-2020, Golden Code Development Corporation.
+** Copyright (c) 2013-2022, Golden Code Development Corporation.
 **
 ** -#- -I- --Date-- ---------------------------------------Description---------------------------------------
 ** 001 SVL 20130624 Created initial version.
@@ -13,6 +13,7 @@
 ** 006 CA  20191203 The field's help and serialize options must be used to uniquely identify it.
 ** 007 CA  20200724 The 'initial' BDT is mutable, keep a copy, not the exact reference.
 **     OM  20200701 Made class immutable. Added debugging support.
+** 008 VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -350,7 +351,7 @@
     * 
     * @return   See above.
     */
-   public String getSerializeName()
+   public String serializeName()
    {
       return serializeName;
    }

=== modified file 'src/com/goldencode/p2j/persist/QueryAssociable.java'
--- src/com/goldencode/p2j/persist/QueryAssociable.java	2017-04-01 23:33:34 +0000
+++ src/com/goldencode/p2j/persist/QueryAssociable.java	2022-10-10 15:17:37 +0000
@@ -2,11 +2,12 @@
 ** Module   : QueryAssociable.java
 ** Abstract : interface which that defines features about associated queries
 **
-** Copyright (c) 2014-2017, Golden Code Development Corporation.
+** Copyright (c) 2014-2022, Golden Code Development Corporation.
 **
 ** -#- -I- --Date-- ---------------------------------Description---------------------------------
 ** 001 GES 20141126 Created initial version.
 ** 002 SVL 20150804 Added setQueryAsHandle(QueryWrapper).
+** 003 VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -76,7 +77,7 @@
     * @return   The associated query or <code>unknown</code> if none exists.
     */
    @LegacyAttribute(name = "QUERY")
-   public handle getQueryAsHandle();
+   public handle queryAsHandle();
    
    /**
     * Set the query associated with the given resource.
@@ -85,7 +86,7 @@
     *           The query to associate.
     */
    @LegacyAttribute(name = "QUERY", setter = true)
-   public void setQueryAsHandle(handle qry);
+   public void queryAsHandle(handle qry);
 
    /**
     * Set the query associated with the given resource.
@@ -94,5 +95,5 @@
     *           The query to associate.
     */
    @LegacyAttribute(name = "QUERY", setter = true)
-   public void setQueryAsHandle(QueryWrapper qry);
+   public void queryAsHandle(QueryWrapper qry);
 }
\ No newline at end of file

=== modified file 'src/com/goldencode/p2j/persist/QueryWrapper.java'
--- src/com/goldencode/p2j/persist/QueryWrapper.java	2022-10-06 08:18:44 +0000
+++ src/com/goldencode/p2j/persist/QueryWrapper.java	2022-10-10 15:17:49 +0000
@@ -260,6 +260,7 @@
 **     CA  20220930          Refactored the callback invocation to be performed via a call-site and 
 **                           InvokeConfig, to allow caching of the resolved target.
 **     CA  20221006          UNIQUE-ID and ADM-DATA are kept as Java types instead of BDT.  Refs #6827
+**     VVT 2022yyyy          Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -4531,7 +4532,7 @@
     * @return   See above.
     */
    @Override
-   public character getADMData()
+   public character admData()
    {
       return new character(admData);
    }
@@ -4543,7 +4544,7 @@
     *           The new value.
     */
    @Override
-   public void setADMData(String value)
+   public void admData(String value)
    {
       this.admData = value;
    }
@@ -4555,7 +4556,7 @@
     *           The new value.
     */
    @Override
-   public void setADMData(character value)
+   public void admData(character value)
    {
       this.admData = value.toJavaType();
    }
@@ -4567,7 +4568,7 @@
     * @return   The integer number of the children.
     */
    @Override
-   public integer getUniqueID()
+   public integer uniqueID()
    {
       return new integer(uniqueID);
    }

=== modified file 'src/com/goldencode/p2j/persist/RecordBuffer.java'
--- src/com/goldencode/p2j/persist/RecordBuffer.java	2022-10-10 09:11:45 +0000
+++ src/com/goldencode/p2j/persist/RecordBuffer.java	2022-10-10 15:18:01 +0000
@@ -1236,6 +1236,7 @@
 **                           directly.  Refs #6826
 **     CA  20221010          Performance improvements - avoid the ProcedureData lookup, by keeping a parallel 
 **                           stack of this data for THIS-PROCEDURE.  Refs #6826
+**     VVT 2022yyyy          Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -11286,7 +11287,7 @@
       if (dmoProxy != null)
       {
          // reset the DATA-SOURCE-MODIFIED
-         ((Buffer) dmoProxy).setDataSourceModified(false);
+         ((Buffer) dmoProxy).dataSourceModified(false);
       }
       
       if (newCrtRecord != null)

=== modified file 'src/com/goldencode/p2j/persist/StaticTempTable.java'
--- src/com/goldencode/p2j/persist/StaticTempTable.java	2022-10-06 08:18:44 +0000
+++ src/com/goldencode/p2j/persist/StaticTempTable.java	2022-10-10 15:18:09 +0000
@@ -39,6 +39,7 @@
 **                  child shared temp-tables) is deleted.
 **     OM  20210921 Initialized serializeName, xmlNodeName, namespaceUri, and namespacePrefix from DmoInfo.
 **     CA  20221006 The equals and hashCode methods must not be implemented by resources.
+**     VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -139,7 +140,7 @@
       DmoMeta dmoInfo = buffer.getDmoInfo();
       if (!dmoInfo.serializeName.isEmpty())
       {
-         super.setSerializeName(dmoInfo.serializeName);
+         super.serializeName(dmoInfo.serializeName);
       }
       if (!dmoInfo.xmlNodeName.isEmpty())
       {
@@ -1433,7 +1434,7 @@
    public String toString()
    {
       String myName = (name == null) ? "unnamed" : name().getValue();
-      return "STATIC " + myName + ", ID " + getUniqueID().getValue();
+      return "STATIC " + myName + ", ID " + uniqueID().getValue();
    }
 
    /**

